/*
	flash.h
*/
//#ifndef __FLASH_IT_H
//#define __FLASH_IT_H

#define	MAX_BAR_SIZE	65535
// 1st four inputs can cycle patterns
#define		CYCLE_INPUTS	4

typedef struct
{
	BYTE bytes[MAX_BAR_SIZE];
} BAR_DATA;

typedef struct
{
	int flashSize;
	int Index[CYCLE_INPUTS];
} PARAMS;

extern const BAR_DATA BarData;
extern const PARAMS FlashParams;
extern PARAMS Params;
void FlashBegin();
void FlashWriteByte(BYTE b);
void FlashWriteBuf(char *buf, int len);
void FlashEnd();
void ReadParams();
void SaveParams();
void UserFlashPageReadBytes(const void * userFlash, void *buff, WORD numBytes);
void UserFlashPageWriteBytes(const void * userFlashPage, BYTE *data, WORD numBytes);
int ReadPrograms();

//#endif
