/*
	analog.h
*/

// defines
#define		ANALOG_COUNT		8

// tri-state input typedef
typedef enum _INPUT { OFF = 0, LOW, HIGH } INPUT;

void AnalogInit();
extern INPUT ana_inputs[ANALOG_COUNT];		// state of the analog inputs base on voltage thresholds
extern INPUT ring_input;				// horn ring input
extern unsigned int sysCurrent;			// system current
extern unsigned int sysVoltage;
extern int voltInput;						// voltage input to read
