/*
	comm.h
*/
#define	MY_ADDRESS		'1'
#define	LIGHT_ADDRESS	'2'
#define	RELAY_ADDRESS	'3'
#define TEMP_ADDRESS	'4'

extern char rxBuf[];
void CommInit();
char SendLine(char addr, char *buf, int len);
char SendLineEx(char addr, char *buf, int len, int delay);
BOOL RunLightProgram(BYTE addr, int pgm, int pri, BOOL dim, BOOL canfast);
BOOL StopLightProgram(BYTE addr, int pgm);
BOOL ReadVoltage(BYTE addr);
BOOL Relay(int rly, BOOL on);
BOOL SoundControl(int ndx, int siren);
BOOL SoundBit(int ndx, int b, BOOL on);
BOOL ToneMode(int ndx, int tone);
BOOL ReadInputs(BYTE addr, BYTE cmd);
BOOL SendPowerOff();
BOOL WatchReset(BYTE addr, BOOL on);
void ForceReset(BYTE addr);
BOOL FastPatterns(BYTE addr, BOOL on);
BOOL SofwareDimmer(BYTE addr, BOOL on);
BOOL RelayBoxPowerUp();





