/*
	display.h
*/

#ifndef _display_h_
#define _display_h_

#define XLevelL		0x00
#define XLevelH		0x10
#define XLevel		((XLevelH&0x0F)*16+XLevelL)

extern int dispBrightness;

void DispInit();
void DispPowerOn();
void DispData(BYTE *ptr, int cnt);
void Checkerboard();
void DispCmd(BYTE b);
void DispPowerOff();
void ClearLine(unsigned char line);
void ClearRest(unsigned char line, int start);
int Show_String(unsigned char *Data_Pointer, unsigned char b, unsigned char c);
void Show_StringFS(unsigned char *Data_Pointer, unsigned char b, unsigned char c);
void Show_Bar(BYTE b, BYTE c, int maxlen, int len);
void ClearScreen();
void Set_Contrast_Control(BYTE b);

#endif
