/*
	flash.h
*/
#ifndef __FLASH_IT_H
#define __FLASH_IT_H
extern const TOUCHPAD FlashTouchPad;

typedef struct
{
	float VoltageCal;
	float CurrentCal;
	float TempCal[3];
	int voltCalValue;
	int currCalValue;
	int tempCalValue[3];
} PARAMS;

extern PARAMS Params;
void UserFlashPageReadBytes(const void * userFlash, BYTE *buff, WORD numBytes);
void UserFlashPageWriteBytes(DWORD userFlashPage, const WORD addr, BYTE *data, WORD numBytes);
extern void SaveTouchPad(void *touchpad, int len);
void ReadParams();
void SaveParams();

#endif
