/*
	keys.h
*/

#ifndef _keys_h_
#define _keys_h_

#include "logic.h"

typedef void (*key_func_t)( int, BOOL );
typedef void (*tmr_func_t)( void );
typedef void (*key_held_t)( int );

/* globals */
extern key_func_t key_funcs[];
extern key_held_t key_held[];
extern key_func_t slide_func;
extern tmr_func_t tmr_func;
extern int currSlidePos;
extern BOOL keyPressed[];
extern BOOL specialKeys;
extern int setupState;
extern BOOL refreshDisp;
extern BOOL IsSlideOn(int key);

void KeyInit();
int GetKS();
void ClearKey();
int GetK();
void SetTraffic(enum TrafficState t, char *msg);
void ResetTraffic(enum TrafficState t, char *msg);

#endif
