/*
	lamps.h
*/
#ifndef _lamps_h_
#define _lamps_h_


extern volatile int blBrightness;		// 4 is bright
extern volatile int btBrightness;		// 2 is bright, no PWM
extern volatile BOOL backLight;

extern void LampInit();
extern void LampsOff();
extern void KeyLamp(int lamp, BOOL on);
extern void DisplayLamp(BOOL on);
extern void ErrLamp(int err, BOOL on);
extern void SlideLamp(int lamp, BOOL on);
extern void ArrowLamp(int lamp);

#endif
