//******************************************************************************
// header file for timer.c 
// contains global prototypes for ticking
//

// *****************************************************************************
// *****************************************************************************
// Function Prototypes
// *****************************************************************************
// *****************************************************************************


void Timer3Init( void );				// called by roadalert.c to get things rolling
int GetTickCount( void );				// 30ms tick count returned
BOOL HasElapsed(int tick, int ms);	// has ms elapsed yet?	
BOOL Repeat(int *tick, int ms);		// for repetitive taks, tick gets set automatically
unsigned int TickDiff(int tick);		// 30ms tick difference
extern volatile int _buzzer;

/* eof */
